// Written by TeTeT
// sample mission for a service menu for the C-1 Trader

waitUntil {alive player};

/* Does not work because of transportSoldiers setting

TTT_traderCargo = {
	params ["_plane"];

	_plane animate ["int73c1a_proxies", 1];
	_plane animate ["int73c1a_seats", 1];
	// TeTeT hide seat proxy
	_plane animate ["int73c1a_hideseats", 1];
	_plane animate ["int73c1a_skrzynia1", 0];
	_plane animate ["int73c1a_skrzynia2", 0];
	_plane animate ["int73c1a_skrzynia3", 0];
	_plane animate ["int73c1a_skrzynia4", 0];
	_plane;
};

TTT_traderPassenger = {
	params ["_plane"];

	_plane animate ["int73c1a_proxies", 0];
	_plane animate ["int73c1a_seats", 0];
	// TeTeT reveal seat proxy
	_plane animate ["int73c1a_hideseats", 0];
	// hide cargo
	_plane animate ["int73c1a_skrzynia1", 1];
	_plane animate ["int73c1a_skrzynia2", 1];
	_plane animate ["int73c1a_skrzynia3", 1];
	_plane animate ["int73c1a_skrzynia4", 1];
	_plane;
};
*/

TTT_trader_fnc_serviceMenu = {
	params ["_mode"];
	private ["_plane"];
	systemChat format ["mode is %1", _mode];
	_plane = vehicle player;
	if (_plane == player) exitWith {systemChat "Need to enter the plane";};
	if (!local _plane) exitWith { systemChat "Plane not local";};
	switch (_mode) do {
		case "SKINS": { createDialog "TTT_TRADERSKINS"; };
		case "LOADOUT" : { systemChat "not implemented yet"; };
		case "REFUEL": { _plane setFuel 1; hint "Refueling..."; };
		case "REPAIR": { _plane setDamage 0; hint "Repairing..."; };
		default { hint "No default action"; };
	};
	_mode;
};

TTT_traderNASAlamedaReskin = {
	params ["_plane"];

	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo1\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo1\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\camo1\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\camo1\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderCODReskin = {
	params ["_plane"];

	_plane setObjectTextureGlobal [0, "uns_c1a\tex\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderVR24Reskin = {
	params ["_plane"];
	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo0\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo0\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\camo0\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderVR24DetReskin = {
	params ["_plane"];

	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo2\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo2\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\camo2\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\camo2\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\camo2\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\camo2\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\camo2\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\camo2\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\camo2\adc2b9e2.paa"];
	_plane;
};

TTT_traderOriskanyReskin = {
	params ["_plane"];

	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo3\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo3\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\camo3\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\camo3\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\camo3\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderAmericaReskin = {
	params ["_plane"];
	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo4\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo4\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\camo4\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\camo4\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderCoralSeaReskin = {
	params ["_plane"];
	_plane setObjectTextureGlobal [0, "uns_c1a\tex\camo5\4cb5aa66.paa"];
	_plane setObjectTextureGlobal [1, "uns_c1a\tex\camo5\49f5545e.paa"];
	_plane setObjectTextureGlobal [2, "uns_c1a\tex\bd6c0a56.paa"];
	_plane setObjectTextureGlobal [3, "uns_c1a\tex\d046b84b.paa"];
	_plane setObjectTextureGlobal [4, "uns_c1a\tex\68ef614d.paa"];
	_plane setObjectTextureGlobal [5, "uns_c1a\tex\2279ea66.paa"];
	_plane setObjectTextureGlobal [6, "uns_c1a\tex\ef2317f1.paa"];
	_plane setObjectTextureGlobal [7, "uns_c1a\tex\49ff062b.paa"];
	_plane setObjectTextureGlobal [8, "uns_c1a\tex\adc2b9e2.paa"];
	_plane setObjectTextureGlobal [9, "uns_c1a\tex\crew\pil\boulton_ca.paa"];
	_plane setObjectTextureGlobal [10, "uns_c1a\tex\crew\nav\bartholomew_ca.paa"];
	_plane;
};

TTT_traderServiceMenu = {
	params ["_plane", "_caller"];
	systemChat "Service Menu will pop up";

	// start with a simple re-skin
	createDialog "TTT_TRADERSM";
};


Trader addAction ["<t color=""#FF9D00"">~Service Menu</t>", TTT_traderServiceMenu, nil, 1, false, true, "", "vehicle player == Trader"];
